/*
  Project: LCD12864B ST7920
  Function: Draw a bitmap on the screen. 
1.Convert a bitmap into monochrome (NOT GRAYSCALE)
2.Use GIMP (which is open source) to save it as a C .h file
3.Go to the LCD12864 directory and edit the file named LCDSprite.h. Paste the data into the array in LCDSprite.h 
(make sure you don't change the variable definition unsigned char, followed by PROGMEM in the end
4.Change the swidth and sheight variables to match the width and height of your sprite
5.Save your changes
6.Compile
6.Now that you have successfully compiled your program, you can draw the image

You can also create arrays like the char header_data[] in your sketch as well, and draw them manually (look at how
this is done in the .cpp file). This is useful if you are creating a game, and need more than one image on the screen
 */
//*********************************************************
#include <LCD12864.h>//library code
//*********************************************************
void setup() {
LCDA.Initialise();//initialize
delay(500); //set delay for 500ms
LCDA.Render(); ////start to draw sketch
}
void loop() {
LCDA.DrawSprite(2,1);// 2 is the xPOS, 1 is the yPOS
LCDA.RenderScreenBuffer(2);//used to specify the screen part where you want to draw sketch (1 = upper part of the screen, 2 = lower part of the screen)
delay(10000);
}

